# OqlInExpression Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlInExpression:
[legend]

List of all members.

## Public Member Functions

| __construct (OqlQueryParameter $left, OqlQueryParameter $right, $logic)
| evaluate ($values)

## Private Attributes

| $logic = null

## Detailed Description

Definition at line 15 of file OqlInExpression.class.php.

## Constructor & Destructor Documentation

OqlInExpression::__construct | ( | OqlQueryParameter $ | left,
|  | OqlQueryParameter $ | right,
|  | $ | logic |
| ) |  |  |

Definition at line 19 of file OqlInExpression.class.php.

References $logic, and OqlQueryExpression::addParameter().

Here is the call graph for this function:

## Member Function Documentation

OqlInExpression::evaluate | ( | $ | values | ) |

Returns:
  InExpression

Reimplemented from OqlQueryExpression.

Definition at line 33 of file OqlInExpression.class.php.

References OqlQueryExpression::getParameter(), Expression::in(), InExpression::IN, InExpression::NOT_IN, and Expression::notIn().

Here is the call graph for this function:

## Member Data Documentation

OqlInExpression::$logic = null`[private]`

Definition at line 17 of file OqlInExpression.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/OQL/Expressions/OqlInExpression.class.php